/***************************************************************************
  tag: Johan Rutgeerts  Mon Jan 10 15:59:16 CET 2005  JR3idm.h 

                        jr3idm.h -  description
                           -------------------
    begin                : Mon January 10 2005
    copyright            : (C) 2005 Johan Rutgeerts
    email                : johan.rutgeerts@mech.kuleuven.ac.be
 
 ***************************************************************************
 *   This library is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU Lesser General Public            *
 *   License as published by the Free Software Foundation; either          *
 *   version 2.1 of the License, or (at your option) any later version.    *
 *                                                                         *
 *   This library is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 *   Lesser General Public License for more details.                       *
 *                                                                         *
 *   You should have received a copy of the GNU Lesser General Public      *
 *   License along with this library; if not, write to the Free Software   *
 *   Foundation, Inc., 59 Temple Place,                                    *
 *   Suite 330, Boston, MA  02111-1307  USA                                *
 *                                                                         *
 ***************************************************************************/
 
 
/*
 * This is the code for the DSP's.
 * 
 * 
 * The values were originally in an IDM file (an IDMA Host Boot
 * file, see Analog Devices ADSP-218x manual).
 * 
 * 
 * 
 * In an IDM file, code or data is arranged in segments as follows:
 * 
 *   - All values are 16 bit hexadecimal numbers.
 *    
 *   - Every segment begins with the word count (the amount of 16bit
 *     values in the segment, that have to be written to the DSP).
 *
 *   - The second value in each segment is the starting address to 
 *     which the code or data will be written.
 *    
 *       * If bit 15 is set, the values are 16bit data.
 *    
 *       * If bit 15 is not set, the values are 24bit code, split up
 *         into two 16 bit values. The first value has the 16 most
 *         significant bits, the second the remaining 8 least
 *         significant bits (and right aligned, so starting with 0x00..)
 *    
 *    - After every segment, either a new count value follows, or 0xffff
 *      (which designates the end).
 *      
 */
 

#define JR3DSP_PROGRAM { \
  /* 4892 words, starting at 0x0004 */ \
  0x1318, 0x0004, \
  0x0C00, 0x0030, 0x83FF, 0x00F1, 0x4F7F, 0x00F5, 0x2389, 0x000F, 0x93FF, 0x00FA, \
  0x820E, 0x00E5, 0x2228, 0x000F, 0x3C03, 0x00FC, 0x920E, 0x00EA, 0x93FF, 0x00F1, \
  0x0A00, 0x001F, 0xFFFF, 0x00FF, 0xFFFF, 0x00FF, 0xFFFF, 0x00FF, 0xFFFF, 0x00FF, \
  0xFFFF, 0x00FF, 0xFFFF, 0x00FF, 0xFFFF, 0x00FF, 0x0314, 0x0000, 0x0328, 0x0000, \
  0x033C, 0x0000, 0x0358, 0x0000, 0x0394, 0x0000, 0x03D0, 0x0000, 0x040C, 0x0000, \
  0x3240, 0x0000, 0x0053, 0x0000, 0xAACC, 0x0000, 0x08B7, 0x0000, 0x1CCE, 0x0000, \
  0xFFFF, 0x00FF, 0xFFFF, 0x00FF, 0x0C00, 0x0030, 0x0D03, 0x00E8, 0x0F06, 0x0002, \
  0x0D01, 0x00E0, 0x0D04, 0x000F, 0x83FF, 0x00CF, 0x6800, 0x00F1, 0x0D03, 0x00FA, \
  0x6800, 0x00F1, 0x6000, 0x00F1, 0x6E78, 0x00FD, 0x0D04, 0x000E, 0x0A00, 0x0010, \
  0x0A00, 0x000F, 0x4003, 0x00C0, 0x2380, 0x000F, 0x0D04, 0x000A, 0x8E0E, 0x006A, \
  0x1802, 0x009F, 0x0144, 0x0000, 0x0162, 0x0000, 0x0104, 0x0000, 0x0107, 0x0000, \
  0x010A, 0x0000, 0x010D, 0x0000, 0x0110, 0x0000, 0x0113, 0x0000, 0x085C, 0x0000, \
  0x5422, 0x0000, 0xCE29, 0x0000, 0x0989, 0x0000, 0xF2E7, 0x0000, 0x0989, 0x0000, \
  0x5422, 0x0000, 0xCE29, 0x0000, 0x614F, 0x0000, 0xD577, 0x0000, 0x0BDC, 0x0000, \
  0xF420, 0x0000, 0x0BDC, 0x0000, 0x614F, 0x0000, 0xD577, 0x0000, 0x74F3, 0x0000, \
  0xE300, 0x0000, 0x065F, 0x0000, 0x0535, 0x0000, 0x065F, 0x0000, 0x74F3, 0x0000, \
  0xE300, 0x0000, 0x3801, 0x0002, 0x36FD, 0x0000, 0x82F9, 0x005C, 0x82F9, 0x004B, \
  0x8000, 0x0056, 0x1C22, 0x002F, 0x9209, 0x000A, 0x36E8, 0x00F0, 0x36E9, 0x0071, \
  0x1C25, 0x00EF, 0x9209, 0x008A, 0x0A00, 0x000F, 0x3801, 0x0012, 0x36FD, 0x0080, \
  0x82F9, 0x007C, 0x82F9, 0x006B, 0x8000, 0x0096, 0x1C22, 0x002F, 0x9209, 0x001A, \
  0x36E9, 0x00D0, 0x36EA, 0x0051, 0x1C25, 0x00EF, 0x9209, 0x009A, 0x0A00, 0x000F, \
  0x3801, 0x0022, 0x36FE, 0x0000, 0x82F9, 0x009C, 0x82F9, 0x008B, 0x8000, 0x00D6, \
  0x1C22, 0x002F, 0x9209, 0x002A, 0x36EA, 0x00B0, 0x36EB, 0x0031, 0x1C25, 0x00EF, \
  0x9209, 0x00AA, 0x0A00, 0x000F, 0x3801, 0x0032, 0x36FE, 0x0080, 0x82F9, 0x00BC, \
  0x82F9, 0x00AB, 0x8001, 0x0016, 0x1C22, 0x002F, 0x9209, 0x003A, 0x36EB, 0x0090, \
  0x36EC, 0x0011, 0x1C25, 0x00EF, 0x9209, 0x00BA, 0x0A00, 0x000F, 0x3801, 0x0042, \
  0x36FF, 0x0000, 0x82F9, 0x00DC, 0x82F9, 0x00CB, 0x8001, 0x0056, 0x1C22, 0x002F, \
  0x9209, 0x004A, 0x36EC, 0x0070, 0x36EC, 0x00F1, 0x1C25, 0x00EF, 0x9209, 0x00CA, \
  0x0A00, 0x000F, 0x3801, 0x0052, 0x36FF, 0x0080, 0x82F9, 0x00FC, 0x82F9, 0x00EB, \
  0x8001, 0x0096, 0x1C22, 0x002F, 0x9209, 0x005A, 0x36ED, 0x0050, 0x36ED, 0x00D1, \
  0x1C25, 0x00EF, 0x9209, 0x00DA, 0x0A00, 0x000F, 0x820E, 0x0084, 0x4000, 0x0010, \
  0x2780, 0x000F, 0x180B, 0x0041, 0x867A, 0x0000, 0x388B, 0x00A1, 0x1C8C, 0x000F, \
  0x9209, 0x006A, 0x867A, 0x0070, 0x388B, 0x00D1, 0x1C8C, 0x000F, 0x9209, 0x007A, \
  0x820E, 0x0084, 0x4000, 0x0030, 0x2780, 0x000F, 0x180B, 0x0041, 0x86E0, 0x0062, \
  0x36E7, 0x0000, 0x8EE6, 0x00F5, 0x140B, 0x002E, 0x6000, 0x0001, 0x6800, 0x0009, \
  0x96E0, 0x0062, 0x1C87, 0x000F, 0x1C80, 0x007F, 0x4000, 0x000A, 0x820F, 0x0010, \
  0x4C00, 0x0004, 0x2780, 0x000F, 0x180C, 0x0001, 0x8000, 0x0010, 0x4600, 0x0004, \
  0x26E0, 0x000F, 0x180C, 0x0003, 0x4FFF, 0x00FA, 0x0D0C, 0x009A, 0x820E, 0x0084, \
  0x2220, 0x000F, 0x920E, 0x008A, 0x0A00, 0x000F, 0x4000, 0x0084, 0x2260, 0x000F, \
  0x0D04, 0x0000, 0x0D04, 0x001A, 0x3800, 0x0084, 0x7000, 0x00A4, 0x1C25, 0x00EF, \
  0x7800, 0x00A6, 0x0A00, 0x000F, 0x8209, 0x008A, 0x36EE, 0x0030, 0x36EE, 0x00B1, \
  0x1C25, 0x00EF, 0x920A, 0x000A, 0x0A00, 0x000F, 0x8209, 0x009A, 0x36EF, 0x0010, \
  0x36EF, 0x0091, 0x1C25, 0x00EF, 0x920A, 0x001A, 0x0A00, 0x000F, 0x8209, 0x00AA, \
  0x36EF, 0x00F0, 0x36F0, 0x0071, 0x1C25, 0x00EF, 0x920A, 0x002A, 0x0A00, 0x000F, \
  0x8209, 0x00BA, 0x36F0, 0x00D0, 0x36F1, 0x0051, 0x1C25, 0x00EF, 0x920A, 0x003A, \
  0x0A00, 0x000F, 0x8209, 0x00CA, 0x36F1, 0x00B0, 0x36F2, 0x0031, 0x1C25, 0x00EF, \
  0x920A, 0x004A, 0x0A00, 0x000F, 0x8209, 0x00DA, 0x36F2, 0x0090, 0x36F3, 0x0011, \
  0x1C25, 0x00EF, 0x920A, 0x005A, 0x0A00, 0x000F, 0x3A0A, 0x0001, 0x42F3, 0x0070, \
  0x180C, 0x005F, 0x3A0A, 0x0011, 0x42F4, 0x0050, 0x180C, 0x005F, 0x3A0A, 0x0021, \
  0x42F5, 0x0030, 0x180C, 0x005F, 0x3A0A, 0x0031, 0x42F6, 0x0010, 0x180C, 0x005F, \
  0x3A0A, 0x0041, 0x42F6, 0x00F0, 0x180C, 0x005F, 0x3A0A, 0x0051, 0x42F7, 0x00D0, \
  0x180C, 0x005F, 0x3A0A, 0x0081, 0x42D0, 0x0040, 0x180C, 0x005F, 0x3A0A, 0x0091, \
  0x42D1, 0x0020, 0x180C, 0x005F, 0x3A0A, 0x00A1, 0x42D2, 0x0000, 0x180C, 0x005F, \
  0x3A0A, 0x00B1, 0x42D2, 0x00E0, 0x180C, 0x005F, 0x3A0A, 0x00C1, 0x42D3, 0x00C0, \
  0x180C, 0x005F, 0x3A0A, 0x00D1, 0x42D4, 0x00A0, 0x180C, 0x005F, 0x3A0B, 0x0001, \
  0x42D5, 0x0080, 0x180C, 0x005F, 0x3A0B, 0x0011, 0x42D6, 0x0060, 0x180C, 0x005F, \
  0x3A0B, 0x0021, 0x42D7, 0x0040, 0x180C, 0x005F, 0x3A0B, 0x0031, 0x42D8, 0x0020, \
  0x180C, 0x005F, 0x3A0B, 0x0041, 0x42D9, 0x0000, 0x180C, 0x005F, 0x3A0B, 0x0051, \
  0x42D9, 0x00E0, 0x180C, 0x005F, 0x3A0B, 0x0081, 0x42DA, 0x00C0, 0x180C, 0x005F, \
  0x3A0B, 0x0091, 0x42DB, 0x00A0, 0x180C, 0x005F, 0x3A0B, 0x00A1, 0x42DC, 0x0080, \
  0x180C, 0x005F, 0x3A0B, 0x00B1, 0x42DD, 0x0060, 0x180C, 0x005F, 0x3A0B, 0x00C1, \
  0x42DE, 0x0040, 0x180C, 0x005F, 0x3A0B, 0x00D1, 0x42DF, 0x0020, 0x180C, 0x005F, \
  0x867A, 0x0010, 0x388B, 0x00A1, 0x1C8C, 0x000F, 0x9209, 0x00EA, 0x0A00, 0x000F, \
  0x867A, 0x0020, 0x388B, 0x00A1, 0x1C8C, 0x000F, 0x920A, 0x006A, 0x0A00, 0x000F, \
  0x867A, 0x0030, 0x388B, 0x00A1, 0x1C8C, 0x000F, 0x920A, 0x00EA, 0x0A00, 0x000F, \
  0x867A, 0x0040, 0x388B, 0x00A1, 0x1C8C, 0x000F, 0x920B, 0x006A, 0x0A00, 0x000F, \
  0x867A, 0x0050, 0x388B, 0x00A1, 0x1C8C, 0x000F, 0x920B, 0x00EA, 0x0A00, 0x000F, \
  0x867A, 0x0060, 0x388B, 0x00A1, 0x1C8C, 0x000F, 0x920C, 0x006A, 0x0A00, 0x000F, \
  0x867A, 0x0080, 0x388B, 0x00D1, 0x1C8C, 0x000F, 0x9209, 0x00FA, 0x0A00, 0x000F, \
  0x867A, 0x0090, 0x388B, 0x00D1, 0x1C8C, 0x000F, 0x920A, 0x007A, 0x0A00, 0x000F, \
  0x867A, 0x00A0, 0x388B, 0x00D1, 0x1C8C, 0x000F, 0x920A, 0x00FA, 0x0A00, 0x000F, \
  0x867A, 0x00B0, 0x388B, 0x00D1, 0x1C8C, 0x000F, 0x920B, 0x007A, 0x0A00, 0x000F, \
  0x867A, 0x00C0, 0x388B, 0x00D1, 0x1C8C, 0x000F, 0x920B, 0x00FA, 0x0A00, 0x000F, \
  0x867A, 0x00D0, 0x388B, 0x00D1, 0x1C8C, 0x000F, 0x920C, 0x007A, 0x0A00, 0x000F, \
  0x86E0, 0x00E2, 0xA076, 0x00E9, 0x96E0, 0x00E2, 0x4000, 0x0000, 0x92F8, 0x00D0, \
  0x3638, 0x00E0, 0x3606, 0x0081, 0x3400, 0x00A4, 0x3C00, 0x0065, 0x1418, 0x001E, \
  0x6000, 0x0000, 0x6800, 0x0005, 0x8238, 0x0000, 0x8238, 0x0015, 0x400F, 0x00F1, \
  0x2389, 0x000F, 0x820F, 0x0084, 0x820F, 0x0091, 0x2E00, 0x005A, 0x2679, 0x0000, \
  0x1819, 0x0020, 0x26E0, 0x000F, 0x26E9, 0x0000, 0x1819, 0x0020, 0x820F, 0x0014, \
  0x4080, 0x0001, 0x23A1, 0x000F, 0x920F, 0x001A, 0x920F, 0x0080, 0x920F, 0x0095, \
  0x8238, 0x0030, 0x400F, 0x00F4, 0x2380, 0x000F, 0x0F02, 0x00FC, 0x920F, 0x00CF, \
  0x0F16, 0x0004, 0x0D00, 0x004F, 0x2220, 0x000F, 0x820F, 0x00D1, 0x920F, 0x00DA, \
  0x8238, 0x0018, 0x0F10, 0x0008, 0x920F, 0x004F, 0x4001, 0x0004, 0x2321, 0x000F, \
  0x0D00, 0x009A, 0x4000, 0x0018, 0x0E00, 0x000F, 0x4800, 0x0005, 0x232F, 0x000F, \
  0x0D00, 0x001A, 0x820F, 0x00DA, 0x2322, 0x000F, 0x0D00, 0x009A, 0x4000, 0x0018, \
  0x0E00, 0x000F, 0x232F, 0x000F, 0x0D00, 0x000A, 0x820E, 0x0014, 0x2200, 0x000F, \
  0x181B, 0x0080, 0x2321, 0x000F, 0x181B, 0x0080, 0x2320, 0x000F, 0x181B, 0x0085, \
  0x0D00, 0x0004, 0x920E, 0x0010, 0x820E, 0x0000, 0x4666, 0x0064, 0x22E0, 0x000F, \
  0x2278, 0x0001, 0x181B, 0x00F1, 0x920E, 0x0004, 0x8238, 0x0040, 0x920F, 0x00E0, \
  0x823F, 0x00E0, 0x920F, 0x00F0, 0x8238, 0x002A, 0x405B, 0x0054, 0x407B, 0x00C5, \
  0x2608, 0x000F, 0x4000, 0x0041, 0x141C, 0x00A5, 0x22E2, 0x000F, 0x2671, 0x000F, \
  0x2262, 0x000F, 0x2731, 0x000F, 0x4016, 0x00E4, 0x2630, 0x000F, 0x22E2, 0x000F, \
  0x181D, 0x0054, 0x4016, 0x00D4, 0x141D, 0x0045, 0x22E2, 0x000F, 0x2630, 0x000F, \
  0x2262, 0x000F, 0x4000, 0x0014, 0x2262, 0x000F, 0x920F, 0x00AA, 0x2310, 0x000F, \
  0x920F, 0x00BA, 0x363C, 0x0010, 0x365C, 0x0081, 0x3A06, 0x0001, 0x3C00, 0x0065, \
  0x141E, 0x002E, 0x6000, 0x0001, 0x7800, 0x0005, 0x6800, 0x0005, 0x0A00, 0x000F, \
  0x0000, 0x0000, 0xCC01, 0x0000, 0xD801, 0x0000, 0x1400, 0x0000, 0xF001, 0x0000, \
  0x3C00, 0x0000, 0x2800, 0x0000, 0xE401, 0x0000, 0xA001, 0x0000, 0x6C00, 0x0000, \
  0x7800, 0x0000, 0xB401, 0x0000, 0x5000, 0x0000, 0x9C01, 0x0000, 0x8801, 0x0000, \
  0x4400, 0x0000, 0x401E, 0x0040, 0x4FFF, 0x00C9, 0x4000, 0x00F1, 0x6000, 0x00F1, \
  0x1420, 0x003E, 0x3C00, 0x0045, 0x1420, 0x002E, 0x2FC7, 0x008F, 0x2791, 0x000F, \
  0x2270, 0x000F, 0x0D08, 0x001A, 0x5200, 0x0056, 0x0E02, 0x000F, 0x23CF, 0x000F, \
  0x1000, 0x004A, 0x6000, 0x00F1, 0x0A00, 0x000F, 0x3630, 0x0000, 0x3C08, 0x0005, \
  0x4000, 0x0004, 0x1C1F, 0x004F, 0x920F, 0x0034, 0x820F, 0x001A, 0x4DFF, 0x00F5, \
  0x238A, 0x000F, 0x920F, 0x001A, 0x2600, 0x000F, 0x1821, 0x0040, 0x4200, 0x0005, \
  0x23AA, 0x000F, 0x920F, 0x001A, 0x0A00, 0x000F, 0x4000, 0x0004, 0x92E0, 0x0024, \
  0x3630, 0x0000, 0x3638, 0x0001, 0x3C08, 0x0005, 0x1421, 0x00BE, 0x6000, 0x0001, \
  0x6800, 0x0005, 0x820F, 0x0080, 0x8230, 0x0004, 0x22E0, 0x000F, 0x0A00, 0x0000, \
  0x1C17, 0x006F, 0x1871, 0x006F, 0x5800, 0x0069, 0x6000, 0x0021, 0xE980, 0x0091, \
  0xE980, 0x0091, 0xE980, 0x0091, 0xE980, 0x0091, 0xE980, 0x0091, 0x6060, 0x0091, \
  0x1823, 0x000C, 0x1213, 0x0091, 0x0E3C, 0x000F, 0x0D00, 0x00CE, 0x0D00, 0x00DF, \
  0x2458, 0x000F, 0x0500, 0x0000, 0x0D00, 0x00AC, 0x0A00, 0x000F, 0x3408, 0x0004, \
  0x8001, 0x00D8, 0x0F00, 0x00F7, 0x4230, 0x0004, 0x2267, 0x000F, 0x0D04, 0x000A, \
  0x6000, 0x0002, 0x400F, 0x00F1, 0x2E79, 0x0040, 0x4000, 0x0015, 0x0F16, 0x0001, \
  0x238F, 0x000F, 0x4FFF, 0x0089, 0x0E16, 0x0000, 0x2761, 0x0000, 0x2790, 0x000F, \
  0x23B6, 0x000F, 0x6EE2, 0x00A0, 0x6000, 0x0042, 0x36E0, 0x0030, 0x1825, 0x0071, \
  0x66E2, 0x00A2, 0x22EA, 0x0000, 0x6800, 0x00A2, 0x4DFF, 0x00F5, 0x26EA, 0x000F, \
  0x0A00, 0x0001, 0x82E0, 0x002A, 0x227A, 0x000F, 0x1825, 0x0020, 0x1820, 0x005F, \
  0x920F, 0x003A, 0x820F, 0x001A, 0x238A, 0x000F, 0x920F, 0x001A, 0x0A00, 0x000F, \
  0x6EE2, 0x0052, 0x82E0, 0x002A, 0x22EA, 0x0000, 0x26E0, 0x000F, 0x226A, 0x0000, \
  0x92E0, 0x002A, 0x0A00, 0x000F, 0x3C00, 0x0035, 0x37FF, 0x00D4, 0x1426, 0x00EE, \
  0xE898, 0x00D5, 0xE9A0, 0x00D7, 0x6920, 0x0025, 0x0D00, 0x00BC, 0x0D00, 0x00CD, \
  0xE800, 0x00D1, 0xED00, 0x00D1, 0x5101, 0x006D, 0xE902, 0x00D1, 0xE9A0, 0x00D0, \
  0x6920, 0x0031, 0x6858, 0x00B5, 0x0500, 0x0000, 0x6A7C, 0x00A1, 0x6800, 0x0021, \
  0x6800, 0x00A1, 0x0A00, 0x000F, 0x2E60, 0x0031, 0x0D00, 0x0075, 0x2029, 0x000F, \
  0x0500, 0x0000, 0x0E64, 0x000F, 0x1044, 0x0009, 0x2270, 0x000F, 0x0A00, 0x000F, \
  0x2BE1, 0x00E5, 0x1827, 0x00F6, 0x27E6, 0x000F, 0x22F2, 0x000F, 0x1828, 0x0034, \
  0x0D00, 0x0081, 0x0F30, 0x00FF, 0x2B00, 0x001E, 0x0D00, 0x004A, 0x22E0, 0x000F, \
  0x4000, 0x0004, 0x2E79, 0x0015, 0x0611, 0x0000, 0x3C00, 0x00F5, 0x1428, 0x009E, \
  0x0711, 0x0000, 0x2E7A, 0x0084, 0x0E60, 0x000F, 0x1040, 0x0009, 0x2270, 0x000F, \
  0x0A00, 0x000F, 0x6000, 0x0003, 0x7000, 0x0047, 0x6660, 0x0030, 0x7210, 0x0074, \
  0x2829, 0x001A, 0x0500, 0x0000, 0x0E64, 0x000F, 0x1044, 0x0059, 0x6269, 0x0003, \
  0x0D00, 0x001A, 0x7000, 0x0047, 0x142A, 0x00CE, 0x6660, 0x0030, 0x72F1, 0x0074, \
  0x182A, 0x0032, 0x2829, 0x009A, 0x0500, 0x0000, 0x2A10, 0x005C, 0x1027, 0x001A, \
  0x182A, 0x008F, 0x267A, 0x000F, 0x22B0, 0x000F, 0x2829, 0x009A, 0x0500, 0x0000, \
  0x1024, 0x005F, 0x626F, 0x0003, 0x0E6A, 0x000F, 0x1042, 0x0059, 0x7269, 0x0047, \
  0x0D00, 0x001A, 0x0A00, 0x000F, 0x37FF, 0x00F4, 0x3BFF, 0x0054, 0x3C00, 0x0065, \
  0x3651, 0x00F1, 0x4244, 0x0074, 0x142C, 0x006E, 0x0D03, 0x0065, 0x4000, 0x0062, \
  0x20E0, 0x000F, 0x2263, 0x000F, 0x0D00, 0x002A, 0x3C00, 0x0065, 0x142C, 0x005E, \
  0x0D04, 0x0002, 0x0D03, 0x0005, 0x0D03, 0x0045, 0x2260, 0x000F, 0x424C, 0x00B4, \
  0x2262, 0x000F, 0x0D08, 0x001A, 0x3C00, 0x0055, 0x1C28, 0x00FF, 0x6800, 0x00A7, \
  0x6800, 0x00F7, 0x4244, 0x0074, 0x0A00, 0x000F, 0x37FF, 0x00F4, 0x3BFF, 0x00F4, \
  0x364E, 0x0031, 0x3C00, 0x0065, 0x142D, 0x007E, 0x0D03, 0x0065, 0x4000, 0x0062, \
  0x20E0, 0x000F, 0x4248, 0x00F4, 0x2263, 0x000F, 0x0D08, 0x001A, 0x3645, 0x0030, \
  0x3C00, 0x0055, 0x1C28, 0x00FF, 0x6800, 0x00A7, 0x6800, 0x00F7, 0x0A00, 0x000F, \
  0x364D, 0x0080, 0x3A49, 0x0001, 0x182D, 0x00DF, 0x3649, 0x0000, 0x3C04, 0x0085, \
  0x142E, 0x000E, 0x6000, 0x0001, 0x7800, 0x0005, 0x0A00, 0x000F, 0x4000, 0x0000, \
  0x3644, 0x0080, 0x3C04, 0x0085, 0x142E, 0x006E, 0x6800, 0x0001, 0x4400, 0x0000, \
  0x4000, 0x0011, 0x1C2F, 0x005F, 0x2200, 0x000F, 0x0A00, 0x0003, 0x4000, 0x0070, \
  0x2320, 0x000F, 0x0A00, 0x0002, 0x4001, 0x0050, 0x2260, 0x000F, 0x0D08, 0x001A, \
  0x5208, 0x0006, 0x0D08, 0x0010, 0x0B00, 0x004F, 0x3A44, 0x0081, 0x3800, 0x00D4, \
  0x3C00, 0x0065, 0x142F, 0x00AE, 0x7800, 0x0005, 0x7800, 0x0014, 0x0A00, 0x000F, \
  0x0E62, 0x000F, 0x1042, 0x0009, 0x0D00, 0x001F, 0x4418, 0x0095, 0x4000, 0x0064, \
  0x1C27, 0x002F, 0x0D00, 0x000A, 0x0D00, 0x001F, 0x2B3F, 0x002A, 0x1830, 0x00A7, \
  0x0D00, 0x0042, 0x2220, 0x000F, 0x0D00, 0x002A, 0x4400, 0x000A, 0x0D00, 0x006A, \
  0x0A00, 0x000F, 0x1C27, 0x002F, 0x0D00, 0x000A, 0x0D00, 0x001F, 0x0E60, 0x000F, \
  0x1040, 0x0049, 0x0D00, 0x005F, 0x1C27, 0x00AF, 0x0A00, 0x000F, 0x1C2F, 0x00CF, \
  0x825B, 0x00A8, 0x0E60, 0x000F, 0x1040, 0x0049, 0x0D00, 0x005F, 0x825B, 0x00C8, \
  0x1C30, 0x00CF, 0x9247, 0x00CF, 0x9247, 0x00DA, 0x0D00, 0x0016, 0x0D00, 0x0002, \
  0x825B, 0x0098, 0x0E60, 0x000F, 0x1040, 0x0049, 0x0D00, 0x005F, 0x825B, 0x00D8, \
  0x1C30, 0x00CF, 0x9248, 0x006F, 0x9248, 0x007A, 0x0A00, 0x000F, 0x1C2F, 0x00CF, \
  0x825B, 0x0088, 0x0E60, 0x000F, 0x1040, 0x0049, 0x0D00, 0x005F, 0x825B, 0x00D8, \
  0x1C30, 0x00CF, 0x9248, 0x004F, 0x9248, 0x005A, 0x0D00, 0x0016, 0x0D00, 0x0002, \
  0x825B, 0x00A8, 0x0E60, 0x000F, 0x1040, 0x0049, 0x0D00, 0x005F, 0x825B, 0x00B8, \
  0x1C30, 0x00CF, 0x9247, 0x000F, 0x9247, 0x001A, 0x0A00, 0x000F, 0x1C2F, 0x00CF, \
  0x825B, 0x0098, 0x0E60, 0x000F, 0x1040, 0x0049, 0x0D00, 0x005F, 0x825B, 0x00B8, \
  0x1C30, 0x00CF, 0x9246, 0x00EF, 0x9246, 0x00FA, 0x0D00, 0x0016, 0x0D00, 0x0002, \
  0x825B, 0x0088, 0x0E60, 0x000F, 0x1040, 0x0049, 0x0D00, 0x005F, 0x825B, 0x00C8, \
  0x1C30, 0x00CF, 0x9247, 0x008F, 0x9247, 0x009A, 0x0A00, 0x000F, 0x0D00, 0x0046, \
  0x2AA0, 0x0042, 0x1835, 0x0067, 0x2220, 0x000F, 0x0D00, 0x002A, 0x4400, 0x000A, \
  0x0D00, 0x006A, 0x0A00, 0x000F, 0x0D00, 0x001A, 0x1C89, 0x00EF, 0x0E62, 0x000F, \
  0x0E42, 0x000F, 0x9245, 0x006F, 0x9245, 0x0079, 0x9246, 0x004F, 0x9246, 0x0059, \
  0x9248, 0x000F, 0x9248, 0x0019, 0x9248, 0x00EF, 0x9248, 0x00F9, 0x0D00, 0x0051, \
  0x1C8A, 0x001F, 0x0E62, 0x000F, 0x0E42, 0x000F, 0x0D00, 0x0029, 0x0D00, 0x006F, \
  0x0D00, 0x0002, 0x0D00, 0x0016, 0x825B, 0x00A8, 0x0E60, 0x000F, 0x1040, 0x0049, \
  0x0D00, 0x005F, 0x825B, 0x0098, 0x1C30, 0x00CF, 0x9245, 0x008F, 0x9245, 0x009A, \
  0x0D00, 0x0002, 0x0D00, 0x0016, 0x825B, 0x00D8, 0x0E60, 0x000F, 0x1040, 0x0049, \
  0x0D00, 0x005F, 0x825B, 0x00C8, 0x1C30, 0x00CF, 0x9248, 0x002F, 0x9248, 0x003A, \
  0x1C35, 0x000F, 0x0D00, 0x0002, 0x0D00, 0x0016, 0x825B, 0x0098, 0x0E60, 0x000F, \
  0x1040, 0x0049, 0x0D00, 0x005F, 0x825B, 0x00A8, 0x1C30, 0x00CF, 0x9246, 0x002F, \
  0x9246, 0x003A, 0x0D00, 0x0002, 0x0D00, 0x0016, 0x825B, 0x00C8, 0x0E60, 0x000F, \
  0x1040, 0x0049, 0x0D00, 0x005F, 0x825B, 0x00D8, 0x1C30, 0x00CF, 0x9248, 0x00CF, \
  0x9248, 0x00DA, 0x0A00, 0x000F, 0x0D00, 0x001A, 0x1C89, 0x00EF, 0x0E62, 0x000F, \
  0x0E42, 0x000F, 0x9244, 0x008F, 0x9244, 0x0099, 0x9246, 0x004F, 0x9246, 0x0059, \
  0x9247, 0x002F, 0x9247, 0x0039, 0x9248, 0x00EF, 0x9248, 0x00F9, 0x0D00, 0x0051, \
  0x1C8A, 0x001F, 0x0E62, 0x000F, 0x0E42, 0x000F, 0x0D00, 0x0029, 0x0D00, 0x006F, \
  0x0D00, 0x0002, 0x0D00, 0x0016, 0x825B, 0x0088, 0x0E60, 0x000F, 0x1040, 0x0049, \
  0x0D00, 0x005F, 0x825B, 0x00A8, 0x1C30, 0x00CF, 0x9246, 0x000F, 0x9246, 0x001A, \
  0x0D00, 0x0002, 0x0D00, 0x0016, 0x825B, 0x00B8, 0x0E60, 0x000F, 0x1040, 0x0049, \
  0x0D00, 0x005F, 0x825B, 0x00D8, 0x1C30, 0x00CF, 0x9248, 0x00AF, 0x9248, 0x00BA, \
  0x1C35, 0x000F, 0x0D00, 0x0002, 0x0D00, 0x0016, 0x825B, 0x00A8, 0x0E60, 0x000F, \
  0x1040, 0x0049, 0x0D00, 0x005F, 0x825B, 0x0088, 0x1C30, 0x00CF, 0x9244, 0x00CF, \
  0x9244, 0x00DA, 0x0D00, 0x0002, 0x0D00, 0x0016, 0x825B, 0x00D8, 0x0E60, 0x000F, \
  0x1040, 0x0049, 0x0D00, 0x005F, 0x825B, 0x00B8, 0x1C30, 0x00CF, 0x9247, 0x006F, \
  0x9247, 0x007A, 0x0A00, 0x000F, 0x0D00, 0x001A, 0x1C89, 0x00EF, 0x0E62, 0x000F, \
  0x0E42, 0x000F, 0x9244, 0x008F, 0x9244, 0x0099, 0x9245, 0x006F, 0x9245, 0x0079, \
  0x9247, 0x002F, 0x9247, 0x0039, 0x9248, 0x000F, 0x9248, 0x0019, 0x0D00, 0x0051, \
  0x1C8A, 0x001F, 0x0E62, 0x000F, 0x0E42, 0x000F, 0x0D00, 0x0029, 0x0D00, 0x006F, \
  0x0D00, 0x0002, 0x0D00, 0x0016, 0x825B, 0x0098, 0x0E60, 0x000F, 0x1040, 0x0049, \
  0x0D00, 0x005F, 0x825B, 0x0088, 0x1C30, 0x00CF, 0x9244, 0x00AF, 0x9244, 0x00BA, \
  0x0D00, 0x0002, 0x0D00, 0x0016, 0x825B, 0x00C8, 0x0E60, 0x000F, 0x1040, 0x0049, \
  0x0D00, 0x005F, 0x825B, 0x00B8, 0x1C30, 0x00CF, 0x9247, 0x004F, 0x9247, 0x005A, \
  0x1C35, 0x000F, 0x0D00, 0x0002, 0x0D00, 0x0016, 0x825B, 0x0088, 0x0E60, 0x000F, \
  0x1040, 0x0049, 0x0D00, 0x005F, 0x825B, 0x0098, 0x1C30, 0x00CF, 0x9245, 0x004F, \
  0x9245, 0x005A, 0x0D00, 0x0002, 0x0D00, 0x0016, 0x825B, 0x00B8, 0x0E60, 0x000F, \
  0x1040, 0x0049, 0x0D00, 0x005F, 0x825B, 0x00C8, 0x1C30, 0x00CF, 0x9247, 0x00EF, \
  0x9247, 0x00FA, 0x0A00, 0x000F, 0x4800, 0x0000, 0x4000, 0x0001, 0x1C2F, 0x005F, \
  0x0A00, 0x000F, 0x364D, 0x0080, 0x365B, 0x0081, 0x3A07, 0x0001, 0x3C00, 0x0065, \
  0x1443, 0x002E, 0x6000, 0x0011, 0x6000, 0x0001, 0x3C00, 0x0055, 0x6000, 0x0051, \
  0x1441, 0x00CE, 0x6000, 0x0041, 0x1C45, 0x00BF, 0x6000, 0x0051, 0x0900, 0x0003, \
  0x6000, 0x0085, 0x0E60, 0x000F, 0x1040, 0x0049, 0x0D00, 0x005F, 0x1C27, 0x002F, \
  0x0D00, 0x000A, 0x0D00, 0x001F, 0x1C46, 0x007F, 0x47FF, 0x00F5, 0x4000, 0x0004, \
  0x1C27, 0x00AF, 0x0D00, 0x009A, 0x227A, 0x000F, 0x1842, 0x00E3, 0x4000, 0x0009, \
  0x47FF, 0x00FF, 0x0E27, 0x000F, 0x0D00, 0x004F, 0x2E7E, 0x00AF, 0x2220, 0x0001, \
  0x7800, 0x00A5, 0x3649, 0x0000, 0x365B, 0x0081, 0x3A07, 0x0081, 0x3400, 0x0064, \
  0x3C00, 0x0025, 0x1445, 0x009E, 0x3C00, 0x0035, 0x1445, 0x008E, 0x6000, 0x0011, \
  0x6000, 0x0001, 0x6000, 0x0051, 0x6000, 0x0041, 0x1C45, 0x00BF, 0x6000, 0x0051, \
  0x6000, 0x0041, 0x1C45, 0x00BF, 0x6000, 0x0085, 0x0E60, 0x000F, 0x1040, 0x0049, \
  0x0D00, 0x005F, 0x1C27, 0x002F, 0x0D00, 0x000A, 0x0D00, 0x001F, 0x1C46, 0x007F, \
  0x4001, 0x0004, 0x820F, 0x00DA, 0x22E2, 0x000F, 0x0D00, 0x004A, 0x47FF, 0x00F5, \
  0x1C27, 0x00AF, 0x227A, 0x000F, 0x0D00, 0x009A, 0x1845, 0x0063, 0x4000, 0x0009, \
  0x47FF, 0x00FF, 0x0E27, 0x000F, 0x7800, 0x00F5, 0x0900, 0x0000, 0x0900, 0x0000, \
  0x0A00, 0x000F, 0x26E0, 0x000F, 0x0A00, 0x0002, 0x1846, 0x0044, 0x2FE1, 0x00A5, \
  0x0A00, 0x0006, 0x23E2, 0x000F, 0x1846, 0x0046, 0x22F2, 0x000F, 0x0A00, 0x0004, \
  0x0D00, 0x0004, 0x0D00, 0x0015, 0x0A00, 0x000F, 0x23E1, 0x000F, 0x0D00, 0x001A, \
  0x0A00, 0x0007, 0x4000, 0x0014, 0x2260, 0x000F, 0x0D00, 0x000A, 0x4400, 0x0001, \
  0x0A00, 0x000F, 0x009D, 0x0000, 0x0055, 0x0000, 0x0061, 0x0000, 0x006D, 0x0000, \
  0x0079, 0x0000, 0x0085, 0x0000, 0x0091, 0x0000, 0x0233, 0x0000, 0x00C4, 0x0000, \
  0x00C4, 0x0000, 0x00C4, 0x0000, 0x00C4, 0x0000, 0x00C4, 0x0000, 0x00C4, 0x0000, \
  0x00C4, 0x0000, 0x00C4, 0x0000, 0x8000, 0x0000, 0x000F, 0x0000, 0x2E5F, 0x0000, \
  0x4000, 0x0000, 0x2000, 0x0000, 0x1000, 0x0000, 0x0800, 0x0000, 0x0400, 0x0000, \
  0x0200, 0x0000, 0x0100, 0x0000, 0x0080, 0x0000, 0x0040, 0x0000, 0x0020, 0x0000, \
  0x0010, 0x0000, 0x0008, 0x0000, 0x0004, 0x0000, 0x0002, 0x0000, 0x0001, 0x0000, \
  0x0001, 0x0000, 0x4320, 0x0000, 0x6F20, 0x0000, 0x7020, 0x0000, 0x7920, 0x0000, \
  0x7220, 0x0000, 0x6920, 0x0000, 0x6720, 0x0000, 0x6820, 0x0000, 0x7420, 0x0000, \
  0x2020, 0x0000, 0x4A20, 0x0000, 0x5220, 0x0000, 0x3320, 0x0000, 0x2020, 0x0000, \
  0x3120, 0x0000, 0x3920, 0x0000, 0x3920, 0x0000, 0x3320, 0x0000, 0x2D20, 0x0000, \
  0x3220, 0x0000, 0x3020, 0x0000, 0x3020, 0x0000, 0x3020, 0x0000, 0x0000, 0x0000, \
  0x00CE, 0x0000, 0x00D4, 0x0000, 0x00DA, 0x0000, 0x00E0, 0x0000, 0x00E6, 0x0000, \
  0x00EC, 0x0000, 0x082C, 0x0000, 0x013A, 0x0000, 0x0158, 0x0000, 0x0881, 0x0000, \
  0x05C7, 0x0000, 0x078D, 0x0000, 0x00F2, 0x0000, 0x00F5, 0x0000, 0x00F8, 0x0000, \
  0x00FB, 0x0000, 0x00FE, 0x0000, 0x0101, 0x0000, 0x0858, 0x0000, 0x013F, 0x0000, \
  0x015D, 0x0000, 0x0149, 0x0000, 0x0167, 0x0000, 0x0116, 0x0000, 0x0119, 0x0000, \
  0x011C, 0x0000, 0x011F, 0x0000, 0x0122, 0x0000, 0x0125, 0x0000, 0x014E, 0x0000, \
  0x016C, 0x0000, 0x0860, 0x0000, 0x0128, 0x0000, 0x012B, 0x0000, 0x012E, 0x0000, \
  0x0131, 0x0000, 0x0134, 0x0000, 0x0137, 0x0000, 0x0153, 0x0000, 0x0171, 0x0000, \
  0x0864, 0x0000, 0x05FB, 0x0000, 0x0752, 0x0000, 0x0755, 0x0000, 0x075B, 0x0000, \
  0x0760, 0x0000, 0x0710, 0x0000, 0x077F, 0x0000, 0x0798, 0x0000, 0x0765, 0x0000, \
  0x08DE, 0x0000, 0x0727, 0x0000, 0x0823, 0x0000, 0x0819, 0x0000, 0x0032, 0x0000, \
  0x4002, 0x0080, 0x93FF, 0x00B0, 0x4FFF, 0x00E0, 0x93FF, 0x00C0, 0x4FFF, 0x00E0, \
  0x93FF, 0x00D0, 0x3C00, 0x0074, 0x3C06, 0x0001, 0x4000, 0x0000, 0x93FF, 0x00E0, \
  0x41C0, 0x0000, 0x93FF, 0x00F0, 0x0200, 0x008F, 0x4000, 0x0000, 0x93FE, 0x00F0, \
  0x4000, 0x00F0, 0x93FF, 0x0000, 0x4000, 0x0000, 0x93FF, 0x0010, 0x42A1, 0x00F0, \
  0x93FF, 0x0020, 0x4000, 0x0000, 0x93FF, 0x0030, 0x4000, 0x0030, 0x93FF, 0x0040, \
  0x4000, 0x0000, 0x93FF, 0x0050, 0x42A0, 0x0030, 0x93FF, 0x0060, 0x4000, 0x0000, \
  0x93FF, 0x0070, 0x4000, 0x0000, 0x93FF, 0x0080, 0x4000, 0x0000, 0x93FF, 0x0090, \
  0x4000, 0x0000, 0x93FF, 0x00A0, 0x3400, 0x0008, 0x3400, 0x0009, 0x3800, 0x0008, \
  0x3800, 0x0009, 0x3400, 0x0015, 0x3400, 0x0006, 0x37FF, 0x00F7, 0x3800, 0x0015, \
  0x3800, 0x0006, 0x3BFF, 0x00F7, 0x3804, 0x0003, 0x3801, 0x005B, 0x3800, 0x006A, \
  0x36E1, 0x0003, 0x3401, 0x000B, 0x3401, 0x000A, 0x0C00, 0x0030, 0x4000, 0x0000, \
  0x4000, 0x0001, 0x4000, 0x0004, 0x4000, 0x0005, 0x4000, 0x0002, 0x4000, 0x0003, \
  0x4000, 0x0006, 0x4000, 0x0007, 0x4000, 0x0008, 0x4000, 0x0009, 0x4000, 0x000A, \
  0x4000, 0x000B, 0x4000, 0x000C, 0x4000, 0x000D, 0x4000, 0x000E, 0x4000, 0x000F, \
  0x0C00, 0x0020, 0x1853, 0x004F, 0x4A5A, 0x0054, 0x45A5, 0x00A5, 0x1453, 0x002E, \
  0x6800, 0x0042, 0x6000, 0x0002, 0x6BC0, 0x0052, 0x67B2, 0x0002, 0x23C8, 0x000F, \
  0x27B2, 0x000F, 0xA000, 0x0001, 0x0A00, 0x000F, 0x2618, 0x000F, 0x3600, 0x0000, \
  0x3D00, 0x0005, 0x1C52, 0x009F, 0x1853, 0x00B0, 0x4040, 0x0000, 0x920F, 0x0010, \
  0x4800, 0x0000, 0x92FD, 0x0000, 0x92FD, 0x0080, 0x92FE, 0x0000, 0x92FE, 0x0080, \
  0x92FF, 0x0000, 0x92FF, 0x0080, 0x4FFF, 0x0000, 0x92FD, 0x0060, 0x92FD, 0x00E0, \
  0x92FE, 0x0060, 0x92FE, 0x00E0, 0x92FF, 0x0060, 0x92FF, 0x00E0, 0x4000, 0x0000, \
  0x92FD, 0x0070, 0x92FD, 0x00F0, 0x92FE, 0x0070, 0x92FE, 0x00F0, 0x92FF, 0x0070, \
  0x92FF, 0x00F0, 0x3600, 0x0020, 0x3846, 0x00F1, 0x3400, 0x0044, 0x3C01, 0x0005, \
  0x1455, 0x006E, 0x5000, 0x0005, 0x6800, 0x0000, 0x36E0, 0x0050, 0xA2E1, 0x0001, \
  0xA2E2, 0x0001, 0xA2E2, 0x0001, 0xA2E3, 0x0001, 0xA2E3, 0x0001, 0xA2C0, 0x0001, \
  0xA2C0, 0x0001, 0xA2C1, 0x0001, 0xA2C1, 0x0001, 0xA2C2, 0x0001, 0xA2C2, 0x0001, \
  0x4280, 0x0000, 0x42BF, 0x00F4, 0x2720, 0x000F, 0x2230, 0x000F, 0x92E0, 0x0000, \
  0x92E0, 0x001A, 0x4300, 0x0004, 0x820F, 0x001A, 0x23A2, 0x000F, 0x920F, 0x003A, \
  0x920F, 0x001A, 0x3C01, 0x0035, 0x36E5, 0x00C0, 0x3847, 0x00F1, 0x1457, 0x003E, \
  0x5000, 0x0005, 0x6800, 0x0001, 0x82E5, 0x00E0, 0x9006, 0x0010, 0x4012, 0x00CA, \
  0x920F, 0x005A, 0x4014, 0x007A, 0x920F, 0x006A, 0x407D, 0x001A, 0x920F, 0x007A, \
  0x3C01, 0x0085, 0x3849, 0x0021, 0x3604, 0x0000, 0x1458, 0x001E, 0x5000, 0x0005, \
  0x6800, 0x0001, 0x4003, 0x00F0, 0x9208, 0x00F0, 0x4000, 0x0000, 0x920E, 0x0030, \
  0x4209, 0x0000, 0x920E, 0x0020, 0x9207, 0x00F0, 0x3C00, 0x00B5, 0x36E6, 0x00F0, \
  0x384A, 0x00A1, 0xA000, 0x00B1, 0x1458, 0x00FE, 0x5000, 0x0005, 0x6800, 0x0001, \
  0x3C00, 0x00A5, 0x36E7, 0x00F0, 0x384B, 0x0051, 0xA000, 0x00A1, 0x1459, 0x006E, \
  0x5000, 0x0005, 0x6800, 0x0001, 0x3C00, 0x0095, 0x36C3, 0x0000, 0x3803, 0x0071, \
  0xA000, 0x0091, 0x1459, 0x00DE, 0x5000, 0x0005, 0x6800, 0x0001, 0x3C00, 0x00B5, \
  0x36C4, 0x0000, 0x384B, 0x00F1, 0xA000, 0x00B1, 0x145A, 0x004E, 0x5000, 0x0005, \
  0x6800, 0x0001, 0x3C00, 0x0095, 0x36C5, 0x0000, 0x384C, 0x00A1, 0xA000, 0x0091, \
  0x145A, 0x00BE, 0x5000, 0x0005, 0x6800, 0x0001, 0x3C00, 0x00E5, 0x36E4, 0x0000, \
  0x384D, 0x0031, 0x145B, 0x001E, 0x5000, 0x0005, 0x6800, 0x0001, 0x188B, 0x006F, \
  0x3A00, 0x0061, 0x3800, 0x0044, 0x3C00, 0x0025, 0x145B, 0x00DE, 0x3C00, 0x0065, \
  0x145B, 0x00CE, 0x7000, 0x0004, 0x0D08, 0x0020, 0x0B00, 0x009F, 0x3800, 0x0044, \
  0x3A00, 0x0061, 0x8208, 0x00E4, 0x1C77, 0x00FF, 0x820F, 0x0010, 0x4EFF, 0x00F4, \
  0x2380, 0x000F, 0x920F, 0x001A, 0x4000, 0x0004, 0x0180, 0x0004, 0x185F, 0x006F, \
  0x4210, 0x000B, 0x8206, 0x00F2, 0x4000, 0x0086, 0x2160, 0x000F, 0x0D04, 0x000B, \
  0x6000, 0x0041, 0x820F, 0x002A, 0x6382, 0x0001, 0x6678, 0x0051, 0x185D, 0x0090, \
  0x0D0C, 0x0050, 0x145D, 0x008E, 0x6000, 0x0001, 0x6000, 0x0041, 0x0D04, 0x0010, \
  0x6000, 0x0006, 0x66E0, 0x0041, 0x23A2, 0x0005, 0x2608, 0x000F, 0x185E, 0x0030, \
  0x0D0C, 0x0055, 0x145E, 0x002E, 0x6000, 0x0001, 0x6000, 0x0041, 0x0D04, 0x0010, \
  0x6000, 0x0006, 0x66E0, 0x0041, 0x23A2, 0x0003, 0x920F, 0x002A, 0x0A00, 0x000F, \
  0x86E0, 0x0052, 0x6000, 0x000A, 0x2678, 0x000F, 0x1863, 0x0071, 0x820E, 0x0074, \
  0x2200, 0x000F, 0x185F, 0x00E3, 0x0F02, 0x00F8, 0x4000, 0x00D5, 0x22EF, 0x000F, \
  0x36E4, 0x0000, 0x185F, 0x0032, 0x0D04, 0x004F, 0x0900, 0x0000, 0x6000, 0x00A2, \
  0x0D08, 0x001A, 0x0B00, 0x005F, 0x82E0, 0x004A, 0x920E, 0x007A, 0x4000, 0x000A, \
  0x92E0, 0x004A, 0x185F, 0x00EF, 0x4801, 0x004A, 0x92E0, 0x004A, 0x0A00, 0x000F, \
  0x36E0, 0x0070, 0x86E0, 0x0072, 0x6218, 0x000A, 0x6E78, 0x00A9, 0x1863, 0x0021, \
  0x36E0, 0x0090, 0x86E0, 0x0092, 0x6218, 0x000A, 0x6E78, 0x00A9, 0x1863, 0x0021, \
  0x36E0, 0x00B0, 0x86E0, 0x00B2, 0x6218, 0x000A, 0x6E78, 0x00A9, 0x1863, 0x0021, \
  0x36E0, 0x00D0, 0x86E0, 0x00D2, 0x6218, 0x000A, 0x6E78, 0x00A9, 0x1863, 0x0021, \
  0x36E0, 0x00F0, 0x86E0, 0x00F2, 0x6218, 0x000A, 0x6E78, 0x00A9, 0x1863, 0x0021, \
  0x820E, 0x00F4, 0x2220, 0x000F, 0x920E, 0x00FA, 0x4C00, 0x0005, 0x0100, 0x0010, \
  0x9203, 0x0030, 0x2780, 0x00DF, 0x1862, 0x0081, 0x83FF, 0x00C4, 0x8200, 0x0000, \
  0x2720, 0x000F, 0x403E, 0x0080, 0x2730, 0x000F, 0x4000, 0x0005, 0x1862, 0x0084, \
  0x93FF, 0x00C0, 0x4400, 0x0005, 0x820F, 0x0010, 0x43FF, 0x00F4, 0x2380, 0x000F, \
  0x23AA, 0x000F, 0x920F, 0x001A, 0x2608, 0x000F, 0x185E, 0x0050, 0x4000, 0x0001, \
  0x0D0C, 0x0091, 0x185E, 0x005F, 0x0D08, 0x0010, 0x0D01, 0x0002, 0x6800, 0x0002, \
  0x0B00, 0x005F, 0x185E, 0x005F, 0xA000, 0x0009, 0x96E0, 0x0052, 0x0D08, 0x0010, \
  0x0B00, 0x005F, 0x185E, 0x005F, 0x3644, 0x0071, 0x3C02, 0x0045, 0x1465, 0x00DE, \
  0x0D03, 0x0085, 0x0F00, 0x00FF, 0x267F, 0x000F, 0x2677, 0x000F, 0x2677, 0x000F, \
  0x0D03, 0x00A5, 0x4000, 0x0065, 0x1464, 0x0082, 0x22EA, 0x000F, 0x2630, 0x000F, \
  0x4238, 0x0030, 0x2270, 0x000F, 0x0D04, 0x000A, 0x267E, 0x000F, 0x1865, 0x0025, \
  0x6000, 0x00E1, 0x6000, 0x00E1, 0x6000, 0x00F1, 0x1865, 0x006F, 0x6000, 0x0083, \
  0x0F00, 0x00F8, 0x6000, 0x0083, 0x0F18, 0x00F8, 0x2B3E, 0x009F, 0x1865, 0x00C7, \
  0x0D00, 0x0049, 0x2220, 0x000F, 0x0D00, 0x009A, 0x4400, 0x000A, 0x6800, 0x0097, \
  0x6800, 0x00A7, 0x3C00, 0x0065, 0x3638, 0x00E0, 0x3608, 0x0001, 0x3A5B, 0x0081, \
  0x3400, 0x00A4, 0x1466, 0x006E, 0x6000, 0x0000, 0x7800, 0x0005, 0x6800, 0x0005, \
  0x363C, 0x0010, 0x365C, 0x0081, 0x3C00, 0x0065, 0x1466, 0x00CE, 0x6000, 0x0001, \
  0x6800, 0x0005, 0x0A00, 0x000F, 0x8207, 0x0072, 0x4000, 0x0086, 0x4220, 0x000B, \
  0x2160, 0x000F, 0x92F8, 0x00BB, 0x4000, 0x0004, 0x92F8, 0x00C4, 0x1C2E, 0x002F, \
  0x3644, 0x0080, 0x1C2D, 0x00AF, 0x82F8, 0x00C4, 0x2220, 0x000F, 0x92F8, 0x00CA, \
  0x86F8, 0x00B0, 0x6000, 0x0041, 0x6200, 0x0051, 0x96F8, 0x00B0, 0x1868, 0x0060, \
  0x2608, 0x000F, 0x1867, 0x0080, 0x1C2E, 0x002F, 0x1C2A, 0x00EF, 0x1C2D, 0x009F, \
  0x1867, 0x008F, 0x3A52, 0x0001, 0x1C2D, 0x00CF, 0x3A44, 0x0081, 0x1C2D, 0x00CF, \
  0x3640, 0x0000, 0x1C2D, 0x00AF, 0x1C2A, 0x00EF, 0x3AFF, 0x00F1, 0x3651, 0x00F0, \
  0x37FF, 0x00E4, 0x3BFF, 0x0074, 0x4001, 0x0005, 0x3C00, 0x0065, 0x146B, 0x004E, \
  0x6000, 0x00A0, 0x3C00, 0x0055, 0x1469, 0x009E, 0x6000, 0x0040, 0x26E2, 0x000F, \
  0x2200, 0x0004, 0x227A, 0x000F, 0x2218, 0x0004, 0x7AEA, 0x00A7, 0x7A6A, 0x00A7, \
  0x0D03, 0x00F5, 0x4000, 0x0076, 0x2887, 0x0046, 0x2B27, 0x000A, 0x0D00, 0x00CA, \
  0x4000, 0x00C5, 0x3C00, 0x0065, 0x146B, 0x003E, 0x0D03, 0x0045, 0x2263, 0x000F, \
  0x2262, 0x000F, 0x26E4, 0x000F, 0x22EA, 0x0004, 0x424C, 0x0094, 0x2262, 0x000F, \
  0x0D04, 0x001A, 0x6000, 0x0047, 0x2320, 0x000F, 0x0D00, 0x009A, 0x6000, 0x0087, \
  0x0E20, 0x000F, 0x7800, 0x00F7, 0x4001, 0x0005, 0x1C41, 0x000F, 0x4000, 0x0004, \
  0x1C2E, 0x002F, 0x3644, 0x0080, 0x1C2D, 0x00AF, 0x86F8, 0x00B0, 0x37FF, 0x00D4, \
  0x0900, 0x0000, 0x96F8, 0x00B0, 0x82F8, 0x00C4, 0x2300, 0x000F, 0x92F8, 0x00CA, \
  0x186C, 0x00E0, 0x86F8, 0x00B0, 0x6000, 0x0053, 0x62A8, 0x0043, 0x96F8, 0x00B0, \
  0x186B, 0x00E0, 0x186C, 0x0097, 0x47FF, 0x00FA, 0x0D00, 0x005A, 0x1C2E, 0x002F, \
  0x1C2A, 0x00EF, 0x1C2D, 0x009F, 0x186B, 0x00EF, 0x3A56, 0x0081, 0x1C2D, 0x00CF, \
  0x0A00, 0x000F, 0x3640, 0x0000, 0x365B, 0x0081, 0x3A5B, 0x0001, 0x3C00, 0x0065, \
  0x6000, 0x0086, 0x146E, 0x008E, 0x0E60, 0x000F, 0x1040, 0x0009, 0x7000, 0x0085, \
  0x6800, 0x0085, 0x1060, 0x001F, 0x1040, 0x0049, 0x0D00, 0x005F, 0x1C27, 0x00AF, \
  0x0D00, 0x004A, 0x0D00, 0x005F, 0x3C00, 0x0065, 0x146E, 0x007E, 0x6000, 0x0011, \
  0x6000, 0x0003, 0x1C27, 0x002F, 0x6800, 0x00F1, 0x6800, 0x00A1, 0x6000, 0x0086, \
  0x365B, 0x0000, 0x3608, 0x0001, 0x3C00, 0x0065, 0x146E, 0x00EE, 0x6000, 0x0001, \
  0x6800, 0x0005, 0x0A00, 0x000F, 0x3640, 0x0000, 0x365C, 0x0081, 0x3A06, 0x0001, \
  0x3C00, 0x0065, 0x1470, 0x00EE, 0x7000, 0x0085, 0x1060, 0x0028, 0x1040, 0x0049, \
  0x667F, 0x0086, 0x1870, 0x00C0, 0x1060, 0x005F, 0x1040, 0x0009, 0x2E7F, 0x001F, \
  0x1870, 0x00C0, 0x6800, 0x0026, 0x1C27, 0x00AF, 0x0D00, 0x004A, 0x0D00, 0x005F, \
  0x3400, 0x00B4, 0x3C00, 0x0065, 0x1470, 0x009E, 0x6000, 0x0011, 0x6000, 0x0003, \
  0x1C27, 0x002F, 0x6800, 0x00F1, 0x6800, 0x00A0, 0x37FB, 0x0084, 0x0900, 0x0000, \
  0x0900, 0x0005, 0x0900, 0x0001, 0x0900, 0x0001, 0x0A00, 0x000F, 0x4000, 0x00F0, \
  0x820E, 0x0074, 0x2380, 0x000F, 0x9207, 0x007A, 0x1C94, 0x00AF, 0x1874, 0x00EF, \
  0x1C94, 0x00AF, 0x825B, 0x0000, 0x2278, 0x000F, 0x1874, 0x00C1, 0x365B, 0x00D1, \
  0x3A06, 0x00D1, 0x7218, 0x0047, 0x3C00, 0x0065, 0x1472, 0x001E, 0x6000, 0x0007, \
  0x76E0, 0x0047, 0x2210, 0x0001, 0x3A06, 0x0081, 0x627A, 0x0005, 0x1C97, 0x0061, \
  0x1C63, 0x00CF, 0x1874, 0x00EF, 0x1C94, 0x00AF, 0x825B, 0x0000, 0x3608, 0x0000, \
  0x6278, 0x0002, 0x1872, 0x00F1, 0x2278, 0x000F, 0x1874, 0x00E0, 0x1874, 0x003F, \
  0x3C00, 0x0065, 0x2278, 0x000F, 0x1873, 0x00A1, 0x365B, 0x0001, 0x3A06, 0x0081, \
  0x3C00, 0x0065, 0x1473, 0x008E, 0x7000, 0x0005, 0x6800, 0x0001, 0x6800, 0x00A5, \
  0x1874, 0x009F, 0x365B, 0x0051, 0x3A08, 0x0051, 0x7218, 0x0047, 0x1474, 0x000E, \
  0x6000, 0x0007, 0x76E0, 0x0047, 0x2210, 0x0001, 0x227A, 0x000F, 0x1874, 0x00E0, \
  0x3608, 0x0000, 0x365B, 0x0001, 0x3C00, 0x0065, 0x1474, 0x008E, 0x6000, 0x0001, \
  0x6800, 0x0005, 0x365B, 0x0081, 0x3A08, 0x0001, 0x1C97, 0x006F, 0x1C63, 0x00CF, \
  0x1C6D, 0x001F, 0x1C6F, 0x000F, 0x1C66, 0x00EF, 0x1C92, 0x005F, 0x0A00, 0x000F, \
  0x860E, 0x0060, 0x6000, 0x0042, 0x1875, 0x009F, 0x860E, 0x0060, 0x6000, 0x0042, \
  0x820E, 0x005A, 0x6800, 0x00A2, 0x920E, 0x0054, 0x0A00, 0x000F, 0x860E, 0x0060, \
  0x820E, 0x005A, 0x6000, 0x0042, 0x23A2, 0x000F, 0x1875, 0x008F, 0x860E, 0x0060, \
  0x820E, 0x005A, 0x6362, 0x0042, 0x2382, 0x000F, 0x1875, 0x008F, 0x3608, 0x0080, \
  0x360A, 0x0001, 0x3C00, 0x0065, 0x6000, 0x0045, 0x1476, 0x00CE, 0x6000, 0x0002, \
  0x6260, 0x0045, 0x6800, 0x00A1, 0x1879, 0x008F, 0x82F8, 0x00D0, 0x820E, 0x00D4, \
  0x2278, 0x000F, 0x1877, 0x0091, 0x4000, 0x0080, 0x2260, 0x000F, 0x92F8, 0x00DA, \
  0x86E0, 0x00E2, 0xA076, 0x00E9, 0x96E0, 0x00E2, 0x0A00, 0x000F, 0x22E0, 0x000F, \
  0x1877, 0x0052, 0x1C76, 0x005F, 0x4000, 0x0000, 0x92F8, 0x00D0, 0x0A00, 0x000F, \
  0x4000, 0x00F0, 0x2380, 0x000F, 0x9208, 0x00EA, 0x1C7A, 0x00EF, 0x36F8, 0x00E0, \
  0x3608, 0x0081, 0x3C00, 0x0065, 0x0C0C, 0x0000, 0x1478, 0x00AE, 0x6000, 0x00A1, \
  0x233A, 0x000F, 0x6800, 0x00A5, 0x0C08, 0x0000, 0x0A00, 0x000F, 0x36F9, 0x0030, \
  0x3608, 0x00D1, 0x3C00, 0x0065, 0x2218, 0x000F, 0x6000, 0x0047, 0x1479, 0x005E, \
  0x6000, 0x0003, 0x6660, 0x0047, 0x2210, 0x0001, 0x227A, 0x000F, 0x0A00, 0x0000, \
  0x8208, 0x00E6, 0x4000, 0x00DB, 0x20E3, 0x000F, 0x4261, 0x0095, 0x226B, 0x000F, \
  0x0D04, 0x001A, 0x3608, 0x00D0, 0x3C00, 0x0065, 0x0C0C, 0x0000, 0x147A, 0x008E, \
  0x1C7C, 0x005F, 0x6000, 0x00A2, 0x233A, 0x000F, 0x0E22, 0x000F, 0x6B3A, 0x00F7, \
  0x6800, 0x00A3, 0x6800, 0x00E7, 0x0C08, 0x0000, 0x37FF, 0x0044, 0x0900, 0x0004, \
  0xA000, 0x0017, 0xA000, 0x0006, 0x8208, 0x00E6, 0x4000, 0x00DB, 0x20E3, 0x000F, \
  0x4260, 0x00E5, 0x226B, 0x000F, 0x0D08, 0x001A, 0x36F9, 0x0040, 0x3C00, 0x00C5, \
  0x147B, 0x008E, 0x7000, 0x0055, 0x6800, 0x0051, 0x36F9, 0x0030, 0x36F9, 0x00F1, \
  0x3C00, 0x0065, 0x147C, 0x003E, 0x1C7C, 0x005F, 0x6000, 0x0087, 0x1240, 0x0087, \
  0x1258, 0x0052, 0x6EEF, 0x00F3, 0x1C7C, 0x00EF, 0x0000, 0x0000, 0x0A00, 0x000F, \
  0x0D03, 0x0085, 0x0F10, 0x0003, 0x42FC, 0x00F5, 0x226E, 0x000F, 0x0D08, 0x001A, \
  0x7000, 0x0056, 0x22A8, 0x000F, 0x0D00, 0x009A, 0x0A00, 0x000F, 0x3A08, 0x00F1, \
  0x0D0B, 0x0045, 0x4000, 0x0076, 0x0D03, 0x00B5, 0x70E3, 0x0064, 0x0D08, 0x004B, \
  0x7218, 0x0016, 0x2A71, 0x001A, 0x3AE8, 0x0011, 0x0900, 0x0014, 0x1C7F, 0x000F, \
  0x3AED, 0x0051, 0x0900, 0x0014, 0x1C7F, 0x000F, 0x3AF2, 0x0091, 0x0900, 0x0014, \
  0x1C7F, 0x000F, 0x3ACF, 0x0061, 0x0900, 0x0014, 0x1C7F, 0x000F, 0x3AD4, 0x00A1, \
  0x0900, 0x0014, 0x1C7F, 0x000F, 0x3AD9, 0x00E1, 0x0900, 0x0014, 0x1C7F, 0x000F, \
  0x3A08, 0x00F1, 0x0D0B, 0x0045, 0x0900, 0x0014, 0x3800, 0x0084, 0x3C00, 0x0075, \
  0x147E, 0x00EE, 0x7800, 0x00A4, 0x0A00, 0x000F, 0x3C00, 0x0085, 0x147F, 0x002E, \
  0x7800, 0x00A5, 0x3C00, 0x0065, 0x147F, 0x005E, 0x7800, 0x0015, 0x0A00, 0x000F, \
  0x7FFF, 0x0000, 0x8000, 0x0000, 0x7FFF, 0x0000, 0x8000, 0x0000, 0x7FFF, 0x0000, \
  0x8000, 0x0000, 0x7FFF, 0x0000, 0x8000, 0x0000, 0x7FFF, 0x0000, 0x8000, 0x0000, \
  0x7FFF, 0x0000, 0x8000, 0x0000, 0x7FFF, 0x0000, 0x8000, 0x0000, 0x7FFF, 0x0000, \
  0x8000, 0x0000, 0x8607, 0x00F1, 0x387F, 0x0071, 0x3800, 0x0024, 0x3BFF, 0x00E7, \
  0x3C00, 0x0085, 0xC000, 0x0055, 0x52E0, 0x0055, 0x1481, 0x006E, 0x1881, 0x0025, \
  0x5000, 0x0017, 0x5800, 0x0004, 0xC2E8, 0x0055, 0x1881, 0x0063, 0x526A, 0x0017, \
  0x5800, 0x00A4, 0x52E0, 0x0055, 0x3BFF, 0x00F7, 0x0A00, 0x000F, 0x360D, 0x0000, \
  0x360D, 0x0081, 0x387F, 0x0071, 0x3C00, 0x0085, 0x1482, 0x001E, 0x5000, 0x0005, \
  0x6800, 0x0001, 0x5000, 0x0005, 0x6800, 0x0005, 0x0A00, 0x000F, 0x1C81, 0x009F, \
  0x8607, 0x00F1, 0x387F, 0x0071, 0x3C00, 0x0085, 0x1482, 0x00AE, 0x6000, 0x0005, \
  0x5800, 0x0005, 0x5800, 0x0005, 0x0A00, 0x000F, 0x820E, 0x0094, 0x2220, 0x000F, \
  0x920E, 0x009A, 0x4000, 0x0030, 0x2780, 0x000F, 0x0A00, 0x0001, 0x86E0, 0x0082, \
  0x36E8, 0x0000, 0x8EE7, 0x00F5, 0x1483, 0x007E, 0x6000, 0x0001, 0x6800, 0x0009, \
  0x96E0, 0x0082, 0x4000, 0x00F0, 0x2780, 0x000F, 0x0A00, 0x0001, 0x86E0, 0x00A2, \
  0x36C3, 0x0010, 0x8EC3, 0x0005, 0x1484, 0x001E, 0x6000, 0x0001, 0x6800, 0x0009, \
  0x96E0, 0x00A2, 0x4003, 0x00F0, 0x2780, 0x000F, 0x0A00, 0x0001, 0x86E0, 0x00C2, \
  0x36C4, 0x0010, 0x8EC4, 0x0005, 0x1484, 0x00BE, 0x6000, 0x0001, 0x6800, 0x0009, \
  0x96E0, 0x00C2, 0x400F, 0x00F0, 0x2780, 0x000F, 0x0A00, 0x0001, 0x86E0, 0x00E2, \
  0x36C5, 0x0010, 0x8EC5, 0x0005, 0x1485, 0x005E, 0x6000, 0x0001, 0x6800, 0x0009, \
  0x96E0, 0x00E2, 0x0A00, 0x000F, 0x820E, 0x00A4, 0x2220, 0x000F, 0x920E, 0x00AA, \
  0x0A00, 0x000F, 0x820E, 0x00B4, 0x2220, 0x000F, 0x920E, 0x00BA, 0x0A00, 0x000F, \
  0x820E, 0x00C4, 0x2220, 0x000F, 0x920E, 0x00CA, 0x0A00, 0x000F, 0x820E, 0x00D4, \
  0x2220, 0x000F, 0x920E, 0x00DA, 0x0A00, 0x000F, 0x0000, 0x0000, 0x0000, 0x0000, \
  0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, \
  0x0000, 0x0000, 0x360E, 0x0040, 0x6000, 0x0043, 0x6220, 0x0041, 0x6EE2, 0x00A2, \
  0x0A00, 0x0001, 0xA000, 0x0002, 0x860E, 0x0020, 0x360C, 0x0081, 0x3886, 0x0081, \
  0x0C0C, 0x0000, 0x3C00, 0x0085, 0x1487, 0x00EE, 0xC000, 0x0061, 0x5AE0, 0x0005, \
  0x6800, 0x00A5, 0x0C08, 0x0000, 0x0A00, 0x000F, 0x3400, 0x0050, 0x3400, 0x0044, \
  0x360E, 0x0001, 0x4FFC, 0x0004, 0x820F, 0x0001, 0x6381, 0x0000, 0x820F, 0x0011, \
  0x2B81, 0x00BA, 0x0D00, 0x00CA, 0x3C00, 0x0065, 0x4000, 0x001F, 0x4000, 0x0019, \
  0x1489, 0x00AE, 0x23E0, 0x000F, 0x6000, 0x0045, 0x2360, 0x0006, 0x26E2, 0x000F, \
  0x6000, 0x0047, 0x1889, 0x00A4, 0x0D00, 0x005F, 0x2BAB, 0x000A, 0x2AE0, 0x00BA, \
  0x1889, 0x00A4, 0x23AC, 0x000F, 0x0D00, 0x00CA, 0x1207, 0x0000, 0x920F, 0x000B, \
  0x920F, 0x001C, 0x0A00, 0x000F, 0x4400, 0x0004, 0x2262, 0x000F, 0x0D00, 0x005A, \
  0x4400, 0x0000, 0x2F88, 0x00A5, 0x22A8, 0x0001, 0x47FF, 0x00F4, 0x2382, 0x000F, \
  0x0D00, 0x007A, 0x3801, 0x00D1, 0x542A, 0x0035, 0x5089, 0x0035, 0x3C00, 0x0035, \
  0x148A, 0x00DE, 0x2111, 0x000F, 0x5432, 0x0035, 0x2111, 0x000F, 0x0F24, 0x0003, \
  0x0F1B, 0x0003, 0x227F, 0x000F, 0x2200, 0x0004, 0x2608, 0x000F, 0x233A, 0x0004, \
  0x0A00, 0x000F, 0x1C8E, 0x001F, 0x3C03, 0x00FC, 0x3C20, 0x0023, 0x185B, 0x003F, \
  0xC000, 0x0000, 0xC000, 0x0000, 0x8000, 0x0000, 0x8000, 0x0000, 0x8000, 0x0000, \
  0x8000, 0x0000, 0xE800, 0x0051, 0xE820, 0x0051, 0x2820, 0x00EC, 0xEA7C, 0x0051, \
  0x2020, 0x000F, 0x3AE5, 0x00C1, 0x0D00, 0x006C, 0x2884, 0x006A, 0x2902, 0x006E, \
  0x7106, 0x0045, 0x0500, 0x0000, 0x0E64, 0x000F, 0x0E73, 0x000F, 0x2BC4, 0x0059, \
  0x2A28, 0x00CA, 0x0F22, 0x00FF, 0x7000, 0x0045, 0x2267, 0x000F, 0x7000, 0x0045, \
  0x0A00, 0x0000, 0x0D0C, 0x005A, 0x2327, 0x000F, 0x0D08, 0x001A, 0x7218, 0x0045, \
  0x148D, 0x00CE, 0x23A2, 0x000F, 0x0D00, 0x006A, 0x75E2, 0x0045, 0x22E2, 0x000C, \
  0x0A00, 0x000F, 0x400F, 0x00F0, 0x2380, 0x000F, 0x9208, 0x00FA, 0x8208, 0x00FF, \
  0x365B, 0x0080, 0x365B, 0x00B1, 0x4209, 0x000B, 0x4209, 0x003C, 0x400C, 0x0004, \
  0x2787, 0x000F, 0x188F, 0x0000, 0x4008, 0x0004, 0x2787, 0x000F, 0x188E, 0x00E1, \
  0x0D00, 0x00CB, 0x0D05, 0x0010, 0x0D00, 0x00BC, 0x0D05, 0x0001, 0x3A5C, 0x0001, \
  0x4FFF, 0x00F9, 0x1C91, 0x004F, 0x0D05, 0x0001, 0x1C91, 0x004F, 0x367A, 0x0000, \
  0x4000, 0x0084, 0x0D00, 0x00AB, 0x3C00, 0x0075, 0x148F, 0x00AE, 0x6A62, 0x00A1, \
  0x0D00, 0x00AC, 0x3C00, 0x0075, 0x148F, 0x00EE, 0x6A62, 0x00A1, 0x365C, 0x0000, \
  0x3608, 0x0061, 0x1C91, 0x00BF, 0x0D00, 0x000A, 0x1C91, 0x00BF, 0x0D00, 0x001A, \
  0x365C, 0x0000, 0x388B, 0x00A1, 0x3C00, 0x0025, 0x1491, 0x002E, 0x3C00, 0x0035, \
  0x1491, 0x001E, 0x6218, 0x0051, 0x2EA8, 0x004A, 0x3C00, 0x00F5, 0x0610, 0x0000, \
  0x1491, 0x000E, 0x0710, 0x0000, 0x5800, 0x0045, 0x0D00, 0x0001, 0x0A00, 0x000F, \
  0x3C00, 0x0035, 0x1491, 0x009E, 0x1207, 0x00A1, 0x267E, 0x000F, 0x2218, 0x0000, \
  0x7800, 0x00A5, 0x0A00, 0x000F, 0x4000, 0x000A, 0x3C00, 0x0035, 0x1492, 0x001E, \
  0x6000, 0x0011, 0x27E1, 0x000F, 0x26F2, 0x000F, 0x23E1, 0x0003, 0x6800, 0x00A5, \
  0x2238, 0x0000, 0x0A00, 0x000F, 0x3652, 0x0000, 0x1C2D, 0x00AF, 0x3660, 0x0000, \
  0x6000, 0x0001, 0x3C01, 0x0005, 0x1494, 0x008E, 0x6A78, 0x0001, 0x1894, 0x0060, \
  0x3644, 0x0081, 0x3C00, 0x00C5, 0x1493, 0x001E, 0x6000, 0x0001, 0x6800, 0x0005, \
  0x0D01, 0x0080, 0x1C2C, 0x008F, 0x0D04, 0x0008, 0x364D, 0x0081, 0x3C00, 0x0065, \
  0x1494, 0x004E, 0x0D03, 0x0085, 0x0F10, 0x0003, 0x4300, 0x0065, 0x232E, 0x000F, \
  0x0D08, 0x001A, 0x7000, 0x0055, 0x6000, 0x0085, 0x6000, 0x0005, 0x22E8, 0x000F, \
  0x0D00, 0x009A, 0x0E30, 0x000F, 0x6800, 0x00E1, 0x6800, 0x00F1, 0x1894, 0x008F, \
  0x3401, 0x0084, 0x0900, 0x0000, 0x6000, 0x0001, 0x0A00, 0x000F, 0x3656, 0x0080, \
  0x1C2D, 0x00AF, 0x3660, 0x0000, 0x3400, 0x00C4, 0x3C01, 0x0005, 0x1497, 0x004E, \
  0x6000, 0x0001, 0x6278, 0x0013, 0x6800, 0x0011, 0x6800, 0x0011, 0x0900, 0x0000, \
  0x1897, 0x0031, 0x2279, 0x000F, 0x1897, 0x0030, 0x3644, 0x0081, 0x3C00, 0x0065, \
  0x1496, 0x008E, 0x0D03, 0x0085, 0x0F10, 0x0003, 0x4300, 0x0075, 0x232E, 0x000F, \
  0x0D08, 0x001A, 0x7000, 0x0055, 0x6000, 0x00E1, 0x6000, 0x00C1, 0x0E64, 0x000F, \
  0x0E76, 0x000F, 0x0E56, 0x000F, 0x104C, 0x00A9, 0x6A6A, 0x00F5, 0x6800, 0x00A5, \
  0x0D01, 0x0080, 0x1C2C, 0x008F, 0x0D04, 0x0008, 0x364D, 0x0081, 0x37FE, 0x0084, \
  0x0900, 0x0000, 0x3C00, 0x00C5, 0x1497, 0x002E, 0x6000, 0x0005, 0x6800, 0x0001, \
  0x3400, 0x00C4, 0x0900, 0x0000, 0x0A00, 0x000F, 0x3660, 0x0020, 0x3401, 0x0094, \
  0x3C00, 0x0065, 0x1498, 0x00EE, 0x6000, 0x0085, 0x0E60, 0x000F, 0x1040, 0x0009, \
  0x7000, 0x0085, 0x1060, 0x001F, 0x1040, 0x0049, 0x0D00, 0x005F, 0x1C27, 0x00AF, \
  0x0D00, 0x004A, 0x0D00, 0x005F, 0x0D01, 0x0080, 0x3C01, 0x0005, 0x1498, 0x00BE, \
  0x6000, 0x0011, 0x6000, 0x0003, 0x1C27, 0x002F, 0x6800, 0x00F1, 0x6800, 0x00A0, \
  0x0D04, 0x0008, 0x0900, 0x0001, 0x0900, 0x0001, 0x0A00, 0x000F, \
  /* 2 words, starting at 0x0000 */  \
  0x0002, 0x0000, \
  0x184E, 0x001F, \
  /*EOF*/ \
  0xFFFF \
}

